package com.yunfeiyun.agmp.pts.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import com.yunfeiyun.agmp.common.web.system.domain.SysRes;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.util.List;

/**
 *  教程 PtsTutorial
 * 
 * @author 杨晓辉
 * @date 2023-05-23
 */
public class PtsTutorial extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    @Excel(name = "教程标识")
    private String tutorialId;

    @Excel(name = "教程标题")
    private String tutorialTitle;

    @Excel(name = "教程备注")
    private String tutorialRemark;

    @Excel(name = "教程创建时间")
    private String tutorialCreatedate;

    @Excel(name = "教程创建人")
    private String tutorialCreator;

    @Excel(name = "资源列表")
    private List<SysRes> resList;   //一对多实体属性


    public void setTutorialId(String tutorialId)
    {
        this.tutorialId = tutorialId;
    }
    public String getTutorialId()
    {
        return tutorialId;
    }
    public void setTutorialTitle(String tutorialTitle)
    {
        this.tutorialTitle = tutorialTitle;
    }

    public String getTutorialTitle()
    {
        return tutorialTitle;
    }
    public void setTutorialRemark(String tutorialRemark)
    {
        this.tutorialRemark = tutorialRemark;
    }

    public String getTutorialRemark()
    {
        return tutorialRemark;
    }
    public void setTutorialCreatedate(String tutorialCreatedate)
    {
        this.tutorialCreatedate = tutorialCreatedate;
    }

    public String getTutorialCreatedate()
    {
        return tutorialCreatedate;
    }
    public void setTutorialCreator(String tutorialCreator)
    {
        this.tutorialCreator = tutorialCreator;
    }

    public String getTutorialCreator()
    {
        return tutorialCreator;
    }

    public List<SysRes> getResList() {
        return resList;
    }

    public void setResList(List<SysRes> resList) {
        this.resList = resList;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("tutorialId", getTutorialId())
            .append("tutorialTitle", getTutorialTitle())
            .append("tutorialRemark", getTutorialRemark())
            .append("tutorialCreatedate", getTutorialCreatedate())
            .append("tutorialCreator", getTutorialCreator())
            .toString();
    }
}
